%define spec_release 1
%define kmod_name		syn1588nic
%define kmod_driver_version	%(scripts/get_version.sh)
%define kmod_rpm_release	%{spec_release}

%define src			%(pwd)

# Disable the scanning for a debug package
%global debug_package %{nil}


Name:		kmod-syn1588nic
Version:	%{kmod_driver_version}
Release:	%{kmod_rpm_release}%{?dist}
Summary:	Kernel Modules for Virtual Data Optimizer
License:	GPLv2+
URL:		http://oregano.at
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:   dkms
Requires:   kernel-devel >= %{kmod_kernel_version}
Requires:   make

BuildArch: noarch

%description
Kernel driver to support oregano syn1588 pci nic

%post
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{kmod_name} -v %{version}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{kmod_name} -v %{version}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{kmod_name} -v %{version}

%preun
# Check whether module is loaded, and if so attempt to remove it.  A
# failure here means there is still something using the module, which should be
# cleared up before attempting to remove again.
for module in syn1588nic; do
  if grep -q "^${module}" /proc/modules; then
    modprobe -r ${module}
  fi
done
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{kmod_name} -v %{version} --all || :

%prep

%build
# Nothing doing here, as we're going to build on whatever kernel we end up
# running inside.

%install
mkdir -p $RPM_BUILD_ROOT/%{_usr}/src/%{kmod_name}-%{version}
cp -r %{src}/* $RPM_BUILD_ROOT/%{_usr}/src/%{kmod_name}-%{version}/
cat %{src}/debian/syn1588-dkms.dkms.in | sed 's#@VERSION@#%{version}#g' > $RPM_BUILD_ROOT/%{_usr}/src/%{kmod_name}-%{version}/dkms.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_usr}/src/%{kmod_name}-%{version}

%changelog

